Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
radm::UsbProfileSettings Struct Reference

## Public Attributes
boolean | forceFullSpeed
| Enforce full speed mode for all physical interfaces.
boolean | vmediaFirst
| Whether to list virtual media and audio functions before HID functions.
vector< VirtualMediaChannel > | vmedia
| Virtual media configuration (must have exactly 2 entries)
boolean | hidMultiReport
| Whether to combine HID functions.
boolean | enableKeyboard
| Whether to enable keyboard function.
boolean | enableRelativeMouse
| Whether to enable relative mouse function.
boolean | enableAbsoluteMouse
| Whether to enable absolute mouse function.

## Detailed Description

Definition at line 17 of file UsbProfileSettings.idl.

## Member Data Documentation

## ◆ enableAbsoluteMouse

boolean radm::UsbProfileSettings::enableAbsoluteMouse

Whether to enable absolute mouse function.

Definition at line 24 of file UsbProfileSettings.idl.

## ◆ enableKeyboard

boolean radm::UsbProfileSettings::enableKeyboard

Whether to enable keyboard function.

Definition at line 22 of file UsbProfileSettings.idl.

## ◆ enableRelativeMouse

boolean radm::UsbProfileSettings::enableRelativeMouse

Whether to enable relative mouse function.

Definition at line 23 of file UsbProfileSettings.idl.

## ◆ forceFullSpeed

boolean radm::UsbProfileSettings::forceFullSpeed

Enforce full speed mode for all physical interfaces.

Definition at line 18 of file UsbProfileSettings.idl.

## ◆ hidMultiReport

boolean radm::UsbProfileSettings::hidMultiReport

Whether to combine HID functions.

Definition at line 21 of file UsbProfileSettings.idl.

## ◆ vmedia

vector<VirtualMediaChannel> radm::UsbProfileSettings::vmedia

Virtual media configuration (must have exactly 2 entries)

Definition at line 20 of file UsbProfileSettings.idl.

## ◆ vmediaFirst

boolean radm::UsbProfileSettings::vmediaFirst

Whether to list virtual media and audio functions before HID functions.

Definition at line 19 of file UsbProfileSettings.idl.

The documentation for this struct was generated from the following file:

- UsbProfileSettings.idl